package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.entity.EnergyIndex;
import com.nantian.cloud.jljc.vo.EnergyIndexVo;

import java.util.List;

/**
 * <p>
 * 耗能指标信息 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
public interface EnergyIndexService extends IService<EnergyIndex> {

    List<EnergyIndex> getInfoByStr(String quotaStr);

    //根据产品编码获取耗能指标信息
    List<EnergyIndexVo> getByProductNum(String productNum);

    //根据产品编码,产品名，行业名，行业编号获取耗能指标信息
    IPage<EnergyIndex> selectall(Page page, EnergyIndex energyIndex);
    IPage<EnergyIndex> getPageScopeCode(Page page, EnergyIndex energyIndex);
    IPage<EnergyIndex> getPageScope(Page page, EnergyIndex energyIndex);

    //获取耗能指标信息涉及的行业
    List<String> getTrade();
    //获取能源指标信息
    List<EnergyIndex> getEnergyIndexList();

    //根据id获取指标的先进值、准入值、限定值
    EnergyIndex getInfoByEnergyId(String energyId);


}
